GDB (xrefs)

Public Attributes | List of all members
scm_to_stringn_data Struct Reference

## Public Attributes
SCM | string
size_t * | lenp
const char * | charset
scm_t_string_failed_conversion_handler | conversion_kind
char * | result

## Detailed Description

Definition at line 81 of file scm-string.c.

## Member Data Documentation

## ◆ charset

const char* scm_to_stringn_data::charset

Definition at line 85 of file scm-string.c.

Referenced by gdbscm_call_scm_to_stringn(), and gdbscm_scm_to_string().

## ◆ conversion_kind

scm_t_string_failed_conversion_handler scm_to_stringn_data::conversion_kind

Definition at line 86 of file scm-string.c.

Referenced by gdbscm_call_scm_to_stringn(), and gdbscm_scm_to_string().

## ◆ lenp

size_t* scm_to_stringn_data::lenp

Definition at line 84 of file scm-string.c.

Referenced by gdbscm_call_scm_to_stringn(), and gdbscm_scm_to_string().

## ◆ result

char* scm_to_stringn_data::result

Definition at line 87 of file scm-string.c.

Referenced by gdbscm_call_scm_to_stringn(), and gdbscm_scm_to_string().

## ◆ string

SCM scm_to_stringn_data::string

Definition at line 83 of file scm-string.c.

Referenced by gdbscm_call_scm_to_stringn(), and gdbscm_scm_to_string().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/guile/scm-string.c